
include:
    project: 'nsf-noirlab/gemini/rtsw/gem-ci'
    ref: "unstable/2024q1"
    file: 
     - '/templates/gitlab-ci/templates/global-rpm-container-docker.gitlab-ci.template.yml'
     - '/templates/gitlab-ci/templates/epics-support-rpm-container-docker.gitlab-ci.template.yml'
      

variables:
    # BASE_CONTAINER is only used for projects with a branch name which is 
    # not yet existing: in this case, the system assumes that an extra repository,
    # either for one of the layers (common, epics-base, epics-support, apps) 
    # or for special versions of (support) modules (that might be needed for an IOC), 
    # shall be created and existing ones be inherited from BASE_CONTAINER.
    # For all other projects (where essentially only an RPM is build and deployed
    # to one of the repos defined by the three/four types of projects above) this
    # setting is derived from the branch name
    BASE_CONTAINER: ""
